/*******************************************************************************
* File Name: UART_1_IntClock.h
* Version 2.0
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_UART_1_IntClock_H)
#define CY_CLOCK_UART_1_IntClock_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/

void UART_1_IntClock_Start(void);
void UART_1_IntClock_Stop(void);

void UART_1_IntClock_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 UART_1_IntClock_GetDividerRegister(void);
uint8  UART_1_IntClock_GetFractionalDividerRegister(void);

#define UART_1_IntClock_Enable()                         UART_1_IntClock_Start()
#define UART_1_IntClock_Disable()                        UART_1_IntClock_Stop()
#define UART_1_IntClock_SetDividerRegister(clkDivider, reset)  \
                        UART_1_IntClock_SetFractionalDividerRegister((clkDivider), 0)
#define UART_1_IntClock_SetDivider(clkDivider)           UART_1_IntClock_SetDividerRegister((clkDivider), 1)
#define UART_1_IntClock_SetDividerValue(clkDivider)      UART_1_IntClock_SetDividerRegister((clkDivider) - 1, 1)


/***************************************
*             Registers
***************************************/

#define UART_1_IntClock_DIV_REG    (*(reg32 *)UART_1_IntClock__REGISTER)
#define UART_1_IntClock_ENABLE_REG UART_1_IntClock_DIV_REG

#endif /* !defined(CY_CLOCK_UART_1_IntClock_H) */

/* [] END OF FILE */
